//tested in asp.net core 2.2
//first you must add  services.AddHttpClient();  to your startup.cs

public class SMS
{
    private readonly IHttpClientFactory _clientFactory;

    public SMS(IHttpClientFactory clientFactory)
    {
        _clientFactory = clientFactory;
    }

    public async Task<string> SendPattern(string receiver, string code)
    {
        string from = "";
        string userName = "";
        string pass = "";
        string patternCode = "1383";
        string to = JsonConvert.SerializeObject(new string[] { receiver });
        string input_data = JsonConvert.SerializeObject(new Dictionary<string, string>
        {
            ["code"] = code,
            ["name"] = "parsmvc.ir"
        });

        string url = $"http://37.130.202.188/patterns/pattern?username={userName}&password={UrlEncoder.Default.Encode(pass)}&from={from}&to={to}&input_data={UrlEncoder.Default.Encode(input_data)}&pattern_code={patternCode}";
        var request = new HttpRequestMessage(HttpMethod.Post, url);
        var client = _clientFactory.CreateClient();
        var response = await client.SendAsync(request);
        if (response.IsSuccessStatusCode)
        {
            response.Dispose();
            return "ok";
        }
        else
        {
            response.Dispose();
            return "nok";
        }
    }
}